# Generated by go2rpm 1
%bcond_without check

# https://github.com/bettercap/bettercap
%global goipath         github.com/bettercap/bettercap
Version:                2.28

%gometa

%global godevelheader %{expand:
Requires:               pkgconfig(libnetfilter_queue)
}

%global common_description %{expand:
The Swiss Army knife for 802.11, BLE and Ethernet networks reconnaissance and
MITM attacks.}

%global golicenses      LICENSE.md
%global godocs          ISSUE_TEMPLATE.md changelog.sh README.md

Name:           bettercap
Release:        2%{?dist}
Summary:        Tool for 802.11, BLE/Ethernet reconnaissance and MITM attacks

License:        GPLv3
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/adrianmo/go-nmea)
BuildRequires:  golang(github.com/antchfx/jsonquery)
BuildRequires:  golang(github.com/bettercap/gatt)
BuildRequires:  golang(github.com/bettercap/nrf24)
BuildRequires:  golang(github.com/bettercap/readline)
BuildRequires:  golang(github.com/bettercap/recording)
BuildRequires:  golang(github.com/chifflier/nfqueue-go/nfqueue)
BuildRequires:  golang(github.com/dustin/go-humanize)
BuildRequires:  golang(github.com/elazarl/goproxy)
BuildRequires:  golang(github.com/evilsocket/islazy)
BuildRequires:  golang(github.com/gobwas/glob)
BuildRequires:  golang(github.com/google/go-github/github)
BuildRequires:  golang(github.com/google/gopacket)
BuildRequires:  golang(github.com/google/gousb)
BuildRequires:  golang(github.com/gorilla/mux)
BuildRequires:  golang(github.com/gorilla/websocket)
BuildRequires:  golang(github.com/hashicorp/mdns)
BuildRequires:  golang(github.com/inconshreveable/go-vhost)
BuildRequires:  golang(github.com/jpillora/go-tld)
BuildRequires:  golang(github.com/malfunkt/iprange)
BuildRequires:  golang(github.com/mdlayher/dhcp6)
BuildRequires:  golang(github.com/miekg/dns)
BuildRequires:  golang(github.com/mitchellh/go-homedir)
BuildRequires:  golang(github.com/robertkrimen/otto)
BuildRequires:  golang(github.com/tarm/serial)
BuildRequires:  golang(golang.org/x/net/html)
BuildRequires:  pkgconfig(libnetfilter_queue)
BuildRequires:  procps-ng

%description
%{common_description}

%gopkg

%prep
%goprep

%build
%gobuild -o %{gobuilddir}/bin/bettercap %{goipath}

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
# "-d network" flag is to avoid error message "is no iface found No active interfaces found"
# since network is not available during builds
%gocheck -d network
%endif

%files
%license LICENSE.md
%doc ISSUE_TEMPLATE.md changelog.sh README.md
%{_bindir}/*

%gopkgfiles

%changelog
* Sun Aug 16 2020 Germano Massullo <germano.massullo@gmail.com> - 2.28-2
- rebuilt

* Sun Aug 16 2020 Germano Massullo <germano.massullo@gmail.com> - 2.28-1
- rebuilt

* Thu Mar 26 2020 Fabian Affolter <mail@fabian-affolter.ch> - 2.26.1-1
- Initial package

